Package org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec

## Class EdDSAPrivateKeySpec

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec.EdDSAPrivateKeySpec

All Implemented Interfaces:
  `KeySpec`

    public class EdDSAPrivateKeySpec
    extends Object
    implements KeySpec

Author:
  str4d

### Constructor Summary

Constructors
`EdDSAPrivateKeySpec​(byte[] seed, byte[] h, byte[] a, GroupElement A, EdDSAParameterSpec spec)`
`EdDSAPrivateKeySpec​(byte[] seed, EdDSAParameterSpec spec)`
`EdDSAPrivateKeySpec​(EdDSAParameterSpec spec, byte[] h)` Initialize directly from the hash.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `geta()`
`GroupElement` `getA()`
`byte[]` `getH()`
`EdDSAParameterSpec` `getParams()`
`byte[]` `getSeed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EdDSAPrivateKeySpec

    public EdDSAPrivateKeySpec​(byte[] seed,
                               EdDSAParameterSpec spec)

Parameters:
  `seed` - the private key
  `spec` - the parameter specification for this key
Throws:
  `IllegalArgumentException` - if seed length is wrong or hash algorithm is unsupported

#### EdDSAPrivateKeySpec

    public EdDSAPrivateKeySpec​(EdDSAParameterSpec spec,
                               byte[] h)

Initialize directly from the hash. getSeed() will return null if this constructor is used.

Parameters:
  `spec` - the parameter specification for this key
  `h` - the private key
Throws:
  `IllegalArgumentException` - if hash length is wrong
Since:
  0.1.1

#### EdDSAPrivateKeySpec

    public EdDSAPrivateKeySpec​(byte[] seed,
                               byte[] h,
                               byte[] a,
                               GroupElement A,
                               EdDSAParameterSpec spec)

### Method Detail

#### getSeed

    public byte[] getSeed()

Returns:
  will be null if constructed directly from the private key

#### getH

    public byte[] getH()

Returns:
  the hash

#### geta

    public byte[] geta()

Returns:
  the private key

#### getA

    public GroupElement getA()

Returns:
  the public key

#### getParams

    public EdDSAParameterSpec getParams()